Skip to main content
POST
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
/
transactions
/
{txId}
/
manual_decision
TypeScript
const response: Promise<FireblocksResponse<TRLinkManualDecisionResponse>> = fireblocks.tRLink.createTRLinkManualDecision(tRLinkApiCreateTRLinkManualDecisionRequest);
{
  "action": "ACCEPT",
  "source": "MANUAL",
  "txId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850e",
  "destinationsAffected": 2,
  "destinationsSkipped": 0,
  "details": [
    {
      "destinationScreeningId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "applied": true,
      "skipReason": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

txId
string<uuid>
required

Fireblocks transaction unique identifier

Body

application/json

Request to manually accept or reject destinations stuck in NoTRM status

action
enum<string>
required

Decision action for destinations in NoTRM status

Available options:
ACCEPT,
REJECT
Example:

"ACCEPT"

reason
string

Optional reason for the manual decision (e.g. 'Internal KYC approved'). Do not include PII.

Maximum string length: 500
Example:

"Internal KYC approved"

Response

Decision applied successfully

Response containing the result of the manual decision

action
enum<string>
required

Decision action for destinations in NoTRM status

Available options:
ACCEPT,
REJECT
Example:

"ACCEPT"

source
enum<string>
required

Source of the manual decision

Available options:
MANUAL,
POLICY
Example:

"MANUAL"

txId
string
required

Transaction ID

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850e"

destinationsAffected
integer
required

Number of destinations where the decision was applied

Example:

2

destinationsSkipped
integer
required

Number of destinations that were skipped

Example:

0

details
object[]
required

Per-destination details

Maximum array length: 100